import java.io.*;
import java.applet.Applet;
import java.awt.*;
import java.awt.event.*;
import java.util.*;
import javax.swing.*;
import javax.swing.table.*;

public class GmixTest
{
public static void main(String arg[]) throws IOException
{
String s1[]={"n2","o2","Ar","co2","Ne","He","ch4"};
String s2[]={"co2"};
double n1[]={0.78084,0.20946,0.9340e-2,0.0397e-2,0.001818e-2,0.000524e-2,0.000179e-2};
double n2[]={1.0};
Gmix g=new Gmix("Karışım 1 air ",s1,n1);
double T1=298.15;
double P1=11.0;
double a[]=g.property(T1,P1);
Text.print(g.toString1(T1,P1));
double pr1=a[17];
double P2=1.1;
double pr2=P2/P1*pr1;
double Ti=g.Ti(pr2);
Gas g1=new Gas("air");
Text.print(g1.toString1(Ti,P2));
}
}